#!/bin/bash
clear
echo "##########"
echo "Initial:"
echo "ls /dev/watchdog*"
ls /dev/watchdog*
echo ""
echo "lsmod | grep dog"
lsmod | grep dog
echo ""
echo ""
echo "##########"
echo "Softdog without systemd and soft_noboot=1:"
echo "sudo modprobe softdog soft_noboot=1"
sudo modprobe softdog soft_noboot=1
echo ""
echo "ls /dev/watchdog*"
ls /dev/watchdog*
echo ""
echo "dmesg | grep softdog"
dmesg | grep dog
echo ""
echo "journalctl -b | grep watchdog"
journalctl -b | grep watchdog
echo ""
echo "/home/achaiken/bin/watchdog-test -e"
sudo /home/achaiken/bin/watchdog-test -e
echo ""
echo "/home/achaiken/bin/watchdog-test -d"
sudo /home/achaiken/bin/watchdog-test -d
echo ""
echo "lsmod | grep dog"
lsmod | grep dog
echo ""
echo "ls -l /dev/watchdog*"
ls -l /dev/watchdog*
echo ""
echo "sudo lsof /dev/watchdog*"
sudo lsof /dev/watchdog*
echo ""
echo "modprobe -r softdog"
sudo modprobe -r softdog
echo ""
